Package de.gebit.integrity.ui.outline

## Class OutlineImportContainer

- java.lang.Object
- - org.eclipse.xtext.ui.editor.outline.impl.AbstractOutlineNode
  - - de.gebit.integrity.ui.outline.OutlineImportContainer

- All Implemented Interfaces:
    `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.xtext.ui.editor.outline.IOutlineNode`, `org.eclipse.xtext.ui.editor.outline.IOutlineNode.Extension`, `org.eclipse.xtext.util.concurrent.IReadAccess<org.eclipse.emf.ecore.EObject>`

      public class OutlineImportContainer
      extends org.eclipse.xtext.ui.editor.outline.impl.AbstractOutlineNode

  Basic outline node which encapsulates the imports.
  Author:
    tilois - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.outline.IOutlineNode

      `org.eclipse.xtext.ui.editor.outline.IOutlineNode.Extension`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.util.concurrent.IReadAccess

      `org.eclipse.xtext.util.concurrent.IReadAccess.Priority<State extends Object>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `OutlineImportContainer​(org.eclipse.xtext.ui.editor.outline.IOutlineNode aParent, org.eclipse.swt.graphics.Image anImage, Object aText, boolean aLeafFlag)` | Creates an instance.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.outline.impl.AbstractOutlineNode

      `addChild, getAdapter, getChildren, getDocument, getEObjectURI, getFullTextRegion, getImage, getImageDescriptor, getParent, getSignificantTextRegion, getText, getTreeProvider, hasChildren, readOnly, removeChild, setImage, setImageDescriptor, setParent, setText, setTextRegion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.util.concurrent.IReadAccess

      `tryReadOnly, tryReadOnly, tryReadOnly`

- - ### Constructor Detail

    - #### OutlineImportContainer

          protected OutlineImportContainer​(org.eclipse.xtext.ui.editor.outline.IOutlineNode aParent,
                                           org.eclipse.swt.graphics.Image anImage,
                                           Object aText,
                                           boolean aLeafFlag)

      Creates an instance.
      Parameters:
        `aParent` -
        `anImage` -
        `aText` -
        `aLeafFlag` -